
Conversion Tools - Feature #1511

Reporting v3

09/10/2012 12:12 PM - Greg Shah

Status: New Start date: 09/10/2012

Priority: Normal Due date:  

Assignee:  % Done: 51%

Category:  Estimated time: 0.00 hour

Target version: Reporting 3.0   

billable: No vendor_id: GCD

Description

Subtasks:

Feature # 1512: separate match processing into a single pass of all report filters per ... Closed

Feature # 1513: store all filter results (matches, dump text...) in database Closed

Feature # 1514: implement fully dynamic reports (backed by the database) Closed

Feature # 1515: implement gap analysis views in all reports New

Feature # 1516: eliminate the overhead from copying artifacts (.cache, .lexer...) multi... Closed

Feature # 1517: move to a completely database-backed approach to displaying the convers... WIP

Feature # 1518: report fixes New

  Bug # 1574: broken report links when they target very long filenames Closed

Feature # 1519: report improvements New

Feature # 1520: design gap analysis approach Closed

Feature # 1521: implement gap analysis rules or backing database/marker approach WIP

Feature # 3277: implement call-graph v3 Closed

Bug # 3336: Source code analytics defect punch list New

Feature # 3337: Source code analytics features New

History

#1 - 09/26/2012 07:55 AM - Greg Shah

- Target version set to Milestone 2

#2 - 11/21/2012 09:06 AM - Greg Shah

- Target version changed from Milestone 2 to 25

#3 - 11/16/2016 01:34 PM - Greg Shah

- Target version changed from 25 to Reporting 3.0
